Can SAP Adapter 6.5 and SAP Adapter 4.6 be installed on the same machine?

Hi Experts,

I have created 2 instances of webMethods 6.5 on one Windows machine. One instance is using SAP Adapter 6.5 and one using SAP Adapter 4.6. I have configured the Windows environment with SAP Adapter 6.5’s DLLs. Particularly I copied its lib file to C:\Windows\System32. To my surprise the instance using SAP Adapter 4.6 is working fine too :eek:, which suggests it could use the lib file of SAP Adapter 6.5. :confused:

Somehow I thought we can only have one version of SAP adapter on a machine Windows :o. Would you think this is correct and there are hidden problems for SAP Adapter 4.6, or would you think it is indeed possible to have both versions running together on the same machine and used by different wM instances?

The machine is a Windows XP 32X

Cheers.

Haven’t done much research on your scenerio (in SAP), but i recall had different verison’s of adapters in my dev instance too and i haven’t faced any issue… so u might be fine with it :slight_smile:

Can SAP Adapter 6.5 and SAP Adapter 4.6 be installed on the same machine? --> Yes as long it is connection with diff IS instances should be fine…IMO…But make sure there is no conflict with lib/rfc config files

HTH,
RMg